org.klomp.snark

## Class PeerCheckerTask

- java.lang.Object
- - java.util.TimerTask
  - - org.klomp.snark.PeerCheckerTask

- All Implemented Interfaces:
    Runnable

       class PeerCheckerTask
      extends TimerTask

  TimerTask that checks for good/bad up/downloader. Works together with the PeerCoordinator to select which Peers get (un)choked.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeerCheckerTask(I2PSnarkUtil util, PeerCoordinator coordinator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.util.TimerTask

      `cancel, scheduledExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PeerCheckerTask

          PeerCheckerTask(I2PSnarkUtil util,
                         PeerCoordinator coordinator)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Specified by:
        `run` in class `TimerTask`